### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-list-illustration/ecl-list-illustration-item.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-list-illustration-item`
templateUrl | `./ecl-list-illustration-item.component.html`

### Index

###### Properties

- className
- eclIllustrationIcons

###### Methods

- getCssClasses

###### Inputs

- eclTitle
- class
- e2eAttr

###### HostBindings

- class.ecl-list-illustration__item

###### Accessors

- hasTitle

### Inputs

eclTitle
Type : `string`
Default value : `''`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class.ecl-list-illustration__item
Type : `boolean`
Default value : `true`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

className
Default value : `true`
Decorators : `@HostBinding('class.ecl-list-illustration__item')`

eclIllustrationIcons
Type : `QueryList<EclListIllustrationIconDirective>`
Decorators : `@ContentChildren(undefined)`

### Accessors

hasTitle
get `hasTitle()`

# results matching ""

# No results matching ""